> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deliveryman.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List all Domains

> Retrieves all domains in this user account. If `workspace_id` query parameter is provided, only fetches domains
from that workspace.

The api supports pagination with `limit` and `offset` query parameters.



## OpenAPI

````yaml /openapi.yml get /api/v1/domains/
openapi: 3.1.1
info:
  title: DeliverymanAI API
  version: 1.0.0
  description: >-
    API documentation for DeliverymanAI, a Cold Email Management and Automation
    platform. This API provides endpoints for managing campaigns, contacts,
    email sequences, and related services.
servers:
  - url: https://api.deliveryman.ai
    description: Deliveryman API Server
security: []
paths:
  /api/v1/domains/:
    get:
      tags:
        - domains
      summary: List all Domains
      description: >-
        Retrieves all domains in this user account. If `workspace_id` query
        parameter is provided, only fetches domains

        from that workspace.


        The api supports pagination with `limit` and `offset` query parameters.
      operationId: domains_retrieve
      parameters:
        - in: query
          name: limit
          schema:
            maximum: 100
            minimum: 1
            title: Limit
            type: integer
          description: >-
            Maximum number of records to fetch in the current page. Must be
            between 1 and 100.
          required: true
        - in: query
          name: offset
          schema:
            minimum: 0
            title: Offset
            type: integer
          description: >-
            Number of records to skip before fetching the results.For example,
            an offset of 0 starts at the beginning, while an offset of 50
            fetches records starting from the 51st. If offset is greater than
            number of records available, results will be empty.
          required: true
        - in: query
          name: workspace_id
          schema:
            anyOf:
              - type: integer
              - type: 'null'
            title: Workspace Id
          description: Fetch domains from this workspace only.
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetAllDomainsAPIResponse'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Bad Request
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SimpleMessageResponse'
          description: Not Found
        '500':
          description: Internal Server Error
      security:
        - ApiKeyAuth: []
components:
  schemas:
    GetAllDomainsAPIResponse:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/GetAllDomainsAPI'
          description: List of connected domain data.
        total:
          type: integer
          minimum: 0
          description: >-
            Total number of domains available in this workspace if
            `workspace_id` was provided. Otherwise across all workspaces.
      required:
        - data
        - total
    SimpleMessageResponse:
      type: object
      properties:
        message:
          type: string
      required:
        - message
    GetAllDomainsAPI:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
          description: ID for this domain.
        workspace_id:
          type:
            - integer
            - 'null'
          readOnly: true
          description: ID of the workspace associated with this domain.
        domain:
          type: string
          readOnly: true
        created_on:
          type: string
          format: date-time
          description: >-
            Datetime when the domain was created. ISO format date string in UTC
            timezone.
        deletion_started_on:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            Datetime when the domain deletion process started. ISO format date
            string in UTC timezone.
        setup_complete:
          type: boolean
          description: Flag indicating whether the domain setup is complete.
        naming_strategy:
          allOf:
            - $ref: '#/components/schemas/NamingStrategyEnum'
          description: |-
            Naming strategy used for email generation during domain setup.

            * `random` - random
            * `male` - male
            * `female` - female
            * `custom` - custom
        custom_name:
          type:
            - string
            - 'null'
          description: >-
            Custom name used in domain setup when `custom` naming strategy is
            used.
          maxLength: 500
        warmup_days_remaining:
          type: integer
          maximum: 2147483647
          minimum: 0
          description: Number of days remaining in the domain's warmup period.
        redirect_subdomains_to:
          type:
            - string
            - 'null'
          description: The URL to which subdomains are redirected, if set.
        status:
          allOf:
            - $ref: '#/components/schemas/GetAllDomainsAPIStatusEnum'
          description: Current status of the domain.
          readOnly: true
        warmup_active_days:
          type: integer
          maximum: 2147483647
          minimum: 0
          description: Number of days the warmup process has been active.
      required:
        - domain
        - id
        - status
        - workspace_id
    NamingStrategyEnum:
      enum:
        - random
        - male
        - female
        - custom
      type: string
      description: |-
        * `random` - random
        * `male` - male
        * `female` - female
        * `custom` - custom
    GetAllDomainsAPIStatusEnum:
      enum:
        - creating
        - error
        - warmup
        - active
        - deleting
      type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: 'Enter your API key in the format: X-Api-Key <your_key>'

````